namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：分组信息 
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/3/10 14:03:21 
    /// 描    述 ：  
    /// </summary>
    public interface IGroupInfoService
    {
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(GroupInfoAddInput input);
        /// <summary>
        /// 移除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(GroupInfoDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(GroupInfoUpdateInput input);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<GroupInfoOutput>> List();
        /// <summary>
        /// 下拉列表
        /// </summary>
        /// <returns></returns>
        Task<dynamic> SelectList();
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<GroupInfoOutput>> PagedList(GroupInfoQueryPageInput input);
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<GroupInfoOutput> Detail(string Id);
    }
}
